---
# TODO: move back to `kubeconfig` param when
# https://github.com/ansible-collections/community.kubernetes/pull/320 is
# present in the used version of the collection (>=1.2.0)
- name: Get Cluster information
  environment:
    K8S_AUTH_KUBECONFIG: "{{ creds_path }}"
  community.kubernetes.k8s_cluster_info:
  register: api_status

- name: set kubernetes version
  set_fact:
    k8s_cluster_version: "v{{ api_status.version.server.kubernetes.major }}.{{ api_status.version.server.kubernetes.minor }}"

- name: "set functest version for cluster version {{ k8s_cluster_version }}"
  set_fact:
    functest_version: "{{ k8s_functest_version[k8s_cluster_version] }}"
